Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles

Unfortunately, this does require a relatively modern pc that supports OpenGL 3.3. Sorry about that but thanks for trying to run it anyway.